Loading...
Searching...
No Matches
ScaleWriteMap< M, C > Class Template Reference
Data Structures » Maps » Map Adaptors

## Detailed Description

template<typename M, typename C = typename M::Value>
class lemon::ScaleWriteMap< M, C >

This read-write map returns the value of the given map multiplied from the left side with a constant value. Its `Key` and `Value` are inherited from `M`. It can also be used as write map if the `/` operator is defined between `Value` and `C` and the given multiplier is not zero.

The simplest way of using this map is through the scaleWriteMap() function.

See also
  ScaleMap

`#include <lemon/maps.h>`

Inheritance diagram for ScaleWriteMap< M, C >:
[legend]

## Public Types

typedef M::Key | Key
typedef M::Value | Value
Public Types inherited from MapBase< M::Key, M::Value >
typedef M::Key | Key
| The key type of the map.
typedef M::Value | Value
| The value type of the map. (The type of objects associated with the keys).

## Public Member Functions

| ScaleWriteMap (M &m, const C &v)
| Constructor.
Value | operator[] (const Key &k) const
void | set (const Key &k, const Value &v)

## Related Symbols

(Note that these are not member symbols.)
template<typename M, typename C>
ScaleWriteMap< M, C > | scaleWriteMap (M &m, const C &v)
| Returns a `ScaleWriteMap` class.

## Constructor & Destructor Documentation

## ScaleWriteMap()

template<typename M, typename C = typename M::Value>

ScaleWriteMap | ( | M & | m,
|  | const C & | v )

inline

Constructor.

Parameters

  m | The undelying map.
  v | The constant value.